Subject: bug#25542: 25.1; Restoring the frame from fullscreen to maximized

From: martin rudalics <[email-masked]>
Date: Fri, 27 Jan 2017 10:34:47 +0100

> I've just tried with the taskbar on the bottom side, and yes, it does
 > show the two boxes (i.e., maximized frame, expected behavior).

Can you try the other two sides as well?

 > In both cases (before step 2 and after step 3), (frame-geometry) outputs this:
 >
 >    ((outer-position 192 . 130)

This completely contradicts what I have seen till now: outer-position
should be negative on at least one side (in your case the value 130
should be something like -4 accounting for the external border width).

What's even more strange is that it shows this value before step 2.
This seems to indicate that the frame was not maximized before step 2
either.  What are the respective values with the taskbar on bottom?

 > (outer-size 689 . 671)

Is it true that your screen is almost square and has so few pixels?

martin